import java.io.BufferedReader;
import java.io.FileOutputStream;
import java.io.FileReader;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

public class ApplyFont {

    public static void main(String args[]) throws Exception {

        HSSFWorkbook workBook = new HSSFWorkbook();
        HSSFSheet sheet = workBook.createSheet();
        HSSFFont font = workBook.createFont();
       
        BufferedReader br = new BufferedReader(new FileReader("testdata.txt"));
        
        String line;
        short currentRow = 0;
        
        while ( (line = br.readLine()) != null) {
            HSSFRow row = sheet.createRow(currentRow++);
            HSSFCell cell = row.createCell((short)0);
                
            HSSFRichTextString text = new HSSFRichTextString(line); 
            
            // if we don't apply the font to this particular line, everything is fine 
            // if (currentRow != 2775) {
                text.applyFont(0, line.length(), font);
            // }
            
            cell.setCellValue(text);
        }
        
        workBook.write(new FileOutputStream("foo.xls"));
    }
}

